Arch CloseHoles/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch CloseHoles")
 
(Updating to match new version of source page)
 
(26 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Arch CloseHoles|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Close Holes|SeeAlso=[[Arch Check]]}}


{{Docnav
==Description==
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconC=Workbench_Arch.svg
}}


<div class="mw-translate-fuzzy">
This tool identifies holes (circular sequence of open edges) in a [[Part Module|Shape]] object and attempts to close it by adding it a new face made from that edges sequence. You must still verify yourself that the result is a solid, though.
{{GuiCommand/ro
|Name=Arch CloseHoles
|Name/ro=Arch CloseHoles
|MenuLocation=Arch → Utilities → Close Holes
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch Check/ro|Arch Check]]
}}
</div>


<span id="Description"></span>
==How to use==
==Descriere==


<div class="mw-translate-fuzzy">
# Select a [[Part Module|Shape]] object
Acest instrument identifică găuri/orificii (secvența circulară a marginilor deschise) într-un obiect [[Part_Workbench | Shape]] și încearcă să le închidă prin adăugarea unei fațete noi constrută pe acea secvență de margini. Totuși, trebuie să vă asigurați că rezultatul este un obiect solid.
# Press the {{KEY|[[Image:Arch CloseHoles.png|16px]] '''Close Holes'''}} entry in Arch -> Utilities menu
</div>


<span id="Usage"></span>
==Scripting==
<div class="mw-translate-fuzzy">
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
This tool can by used in [[macros]] and from the python console by using the following function:
# Selectați un obiect [[Part_Workbench|Shape]]
# Apăsați {{Button|[[Image:Arch CloseHoles.svg|16px]] [[Arch CloseHoles|Close Holes]]}} entry in {{MenuCommand|Arch Utilities Close Holes}}
</div>

<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
</div>

{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<div class="mw-translate-fuzzy">
Acest instrument poate fi utilizat în [[macros|macros]] și din consola Python utilizând următoarea funcție:
</div>
{{Code|code=
{{Code|code=
closeHole (shape)
solid = closeHole(shape)
}}
}}

closes a hole in an open shape
<div class="mw-translate-fuzzy">
{{clear}}
închide o gaură într-o formă deschisă
</div>

Example:
{{Code|code=
import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()

solid = Arch.closeHole(Wall.Shape)
}}


{{Docnav
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:08, 19 May 2023

Arch CloseHoles

poziția meniului
Arch → Utilities → Close Holes
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Check

Descriere

Acest instrument identifică găuri/orificii (secvența circulară a marginilor deschise) într-un obiect Shape și încearcă să le închidă prin adăugarea unei fațete noi constrută pe acea secvență de margini. Totuși, trebuie să vă asigurați că rezultatul este un obiect solid.

Cum se folosește

  1. Selectați un obiect Shape
  2. Apăsați Close Holes entry in Arch → Utilities → Close Holes

Scrip-Programare

See also: Arch API and FreeCAD Scripting Basics.

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

solid = closeHole(shape)

închide o gaură într-o formă deschisă

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)